<?php
/*
Plugin Name: Dashboard admin email
Plugin URI: http://nicolasbouliane.com/plugins/dashboard-admin-email
Description: Displays the administrator's email on the Wordpress Dashboard.
Version: 1.0
Author: Nicolas Bouliane
Author URI: http://nicolasbouliane.com
License: GPL2
*/

//Display the message
function displayEmailMessage(){
	$string = "<div style='text-align:center'>";
	$string .= __('You may contact the administrator at the following address','admin-email');
	$string .= "<h2><a href='mailto:" . get_option('admin_email') . "'>" . get_option('admin_email') . "</a></h2>";
	$string .= "</div>";
	echo( $string );
}

//Setup the widget
function setupEmailWidget(){
	wp_add_dashboard_widget('admin-email', __('Contact the administrator','admin-email'), 'displayEmailMessage');
}

//Load the translation files
load_plugin_textdomain('admin-email', "/wp-content/plugins/admin-email/");

//Hooks
add_action('wp_dashboard_setup', 'setupEmailWidget' );
?>